/*******************************************************************************
* File Name: INT0_edge_1.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__INT0_edge_1_INTC_H__)
#define __INT0_edge_1_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void INT0_edge_1_Start(void);
void INT0_edge_1_StartEx(cyisraddress address);
void INT0_edge_1_Stop(void) ;

CY_ISR_PROTO(INT0_edge_1_Interrupt);

void INT0_edge_1_SetVector(cyisraddress address) ;
cyisraddress INT0_edge_1_GetVector(void) ;

void INT0_edge_1_SetPriority(uint8 priority) ;
uint8 INT0_edge_1_GetPriority(void) ;

void INT0_edge_1_Enable(void) ;
uint8 INT0_edge_1_GetState(void) ;
void INT0_edge_1_Disable(void) ;

void INT0_edge_1_SetPending(void) ;
void INT0_edge_1_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the INT0_edge_1 ISR. */
#define INT0_edge_1_INTC_VECTOR            ((reg32 *) INT0_edge_1__INTC_VECT)

/* Address of the INT0_edge_1 ISR priority. */
#define INT0_edge_1_INTC_PRIOR             ((reg8 *) INT0_edge_1__INTC_PRIOR_REG)

/* Priority of the INT0_edge_1 interrupt. */
#define INT0_edge_1_INTC_PRIOR_NUMBER      INT0_edge_1__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable INT0_edge_1 interrupt. */
#define INT0_edge_1_INTC_SET_EN            ((reg32 *) INT0_edge_1__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the INT0_edge_1 interrupt. */
#define INT0_edge_1_INTC_CLR_EN            ((reg32 *) INT0_edge_1__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the INT0_edge_1 interrupt state to pending. */
#define INT0_edge_1_INTC_SET_PD            ((reg32 *) INT0_edge_1__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the INT0_edge_1 interrupt. */
#define INT0_edge_1_INTC_CLR_PD            ((reg32 *) INT0_edge_1__INTC_CLR_PD_REG)



/* __INT0_edge_1_INTC_H__ */
#endif
