/*******************************************************************************
* File Name: INT1_level.h
* Version 1.50
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#if !defined(__INT1_level_INTC_H__)
#define __INT1_level_INTC_H__


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void INT1_level_Start(void);
void INT1_level_StartEx(cyisraddress address);
void INT1_level_Stop(void) ;

CY_ISR_PROTO(INT1_level_Interrupt);

void INT1_level_SetVector(cyisraddress address) ;
cyisraddress INT1_level_GetVector(void) ;

void INT1_level_SetPriority(uint8 priority) ;
uint8 INT1_level_GetPriority(void) ;

void INT1_level_Enable(void) ;
uint8 INT1_level_GetState(void) ;
void INT1_level_Disable(void) ;

void INT1_level_SetPending(void) ;
void INT1_level_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the INT1_level ISR. */
#define INT1_level_INTC_VECTOR            ((reg32 *) INT1_level__INTC_VECT)

/* Address of the INT1_level ISR priority. */
#define INT1_level_INTC_PRIOR             ((reg8 *) INT1_level__INTC_PRIOR_REG)

/* Priority of the INT1_level interrupt. */
#define INT1_level_INTC_PRIOR_NUMBER      INT1_level__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable INT1_level interrupt. */
#define INT1_level_INTC_SET_EN            ((reg32 *) INT1_level__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the INT1_level interrupt. */
#define INT1_level_INTC_CLR_EN            ((reg32 *) INT1_level__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the INT1_level interrupt state to pending. */
#define INT1_level_INTC_SET_PD            ((reg32 *) INT1_level__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the INT1_level interrupt. */
#define INT1_level_INTC_CLR_PD            ((reg32 *) INT1_level__INTC_CLR_PD_REG)



/* __INT1_level_INTC_H__ */
#endif
